summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ArTourter2010-04-21 23:31:01 +0200
committer Heinz Wiesinger2010-05-15 10:38:35 +0200
commit879a0af7429336f3d843ddbef1b95899a5526657 (patch)
tree25227bc51861c8c9acbd689cf2b3387cd0ba0a73
parentefcb9852459e5c2e497abe78dd6dd8aeb9e2ce0b (diff)
downloadslackbuilds-879a0af7429336f3d843ddbef1b95899a5526657.tar.gz
offive/adobe-reader-fontpacks: Added.
Asian and Extended Fonts Packs for Adobe Reader. Thanks to Gregory J.L. Tourte.
-rw-r--r--office/adobe-reader-fontpacks/README25
-rw-r--r--office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild72
-rw-r--r--office/adobe-reader-fontpacks/adobe-reader-fontpacks.info18
-rw-r--r--office/adobe-reader-fontpacks/slack-desc20
4 files changed, 135 insertions, 0 deletions
diff --git a/office/adobe-reader-fontpacks/README b/office/adobe-reader-fontpacks/README
new file mode 100644
index 0000000000..1b48b5a61f
--- /dev/null
+++ b/office/adobe-reader-fontpacks/README
@@ -0,0 +1,25 @@
+Asian and Extended Language Font Packs for Adobe Reader
+
+There are several additional Font Packs available for Adobe Reader so you can
+display and interact with documents authored in languages other than those
+supported in your native Adobe Reader. They fall in to 2 different categories.
+
+Chinese Simplified, Chinese Traditional, Japanese and Korean Font Packs:
+They are needed to correctly display a document when an author does not embed
+the appropriate font in to the document. They are also needed when the author
+does embed the font, but the reader of the document wishes to interact in some
+way with its content ? e.g. collaborating, commenting or filling out forms.
+
+Extended Language Font Pack:
+This Font Pack covers Hebrew, Arabic, Thai, Vietnamese as well as the Eastern
+and Central European languages (including Cyrillic and Greek scripts).
+Documents in these languages always have their fonts embedded. Therefore,
+similar to the previous case, this Font Pack is needed only if the reader of
+the document wishes to interact in some way with its content - e.g.
+collaborating, commenting or filling out forms.
+
+The Slackbuild can be built with only one of the fontpacks but will include
+all of them if they are available in the directory.
+
+adobe-reader is not "required" to build this package but the package will be
+completely useless without it.:-)
diff --git a/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild
new file mode 100644
index 0000000000..14a1ce7c48
--- /dev/null
+++ b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for adobe_reader-fontpacks
+
+# Copyright (c) 2010 Gregory J.L. Tourte (artourter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=adobe-reader-fontpacks
+VERSION=${VERSION:-9.1}
+ARCH=i486
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ???KIT xtdfont
+
+LIST=$(ls $CWD/FontPack910_???_i486-linux.tar.bz2 2>/dev/null || (echo "ERROR: no FontPack tarball available, you need at least one of the files listed in the info file to build the package." > /dev/stderr ; exit 1))
+
+mkdir $PKG/opt
+
+for FILE in $LIST
+do
+ FILENAME=$(basename $FILE)
+ LANG=${FILENAME:12:3}
+ [ "$LANG" == "xtd" ] && DIR="${LANG}font" || DIR="$(echo $LANG|tr 'a-z' 'A-Z')KIT"
+ tar xvf $FILE
+ cd $DIR
+ for ARCHIVE in *.TAR
+ do
+ tar xvf $ARCHIVE -C $PKG/opt
+ done
+ cd -
+done
+
+rm $PKG/opt/INSTALL
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/LICREAD.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/adobe-reader-fontpacks/adobe-reader-fontpacks.info b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.info
new file mode 100644
index 0000000000..c9b8bc8b5e
--- /dev/null
+++ b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.info
@@ -0,0 +1,18 @@
+PRGNAM="adobe-reader-fontpacks"
+VERSION="9.1"
+HOMEPAGE="http://www.adobe.com/"
+DOWNLOAD="ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_chs_i486-linux.tar.bz2 \
+ ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_cht_i486-linux.tar.bz2 \
+ ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_jpn_i486-linux.tar.bz2 \
+ ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_kor_i486-linux.tar.bz2 \
+ ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.1/misc/FontPack910_xtd_i486-linux.tar.bz2"
+MD5SUM="8abe3f7fb77918a8376b6793b841eaab \
+ 38baee4eca2d8291220eb8a8ab77f9b7 \
+ b681807c0b8a34c76ec894675d98ec77 \
+ 76a3dd2511d82c9dc1556bb0f0eae6c1 \
+ a2de87858345cf3b2199d4a2fe424b65"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/office/adobe-reader-fontpacks/slack-desc b/office/adobe-reader-fontpacks/slack-desc
new file mode 100644
index 0000000000..28c316266f
--- /dev/null
+++ b/office/adobe-reader-fontpacks/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+adobe-reader-fontpacks: adobe-reader-fontpacks (Asian & Extended Fonts Packs for Adobe Reader)
+adobe-reader-fontpacks:
+adobe-reader-fontpacks: Chinese Simplified, Chinese Traditional, Japanese and Korean Font
+adobe-reader-fontpacks: Packs and Extended Language Font Pack (Hebrew, Arabic, Vietnamese,
+adobe-reader-fontpacks: Thai as well as the Eastern and Central European languages including
+adobe-reader-fontpacks: Cyrillic and Greek scripts).
+adobe-reader-fontpacks:
+adobe-reader-fontpacks: They are needed to correctly display a document when an author does
+adobe-reader-fontpacks: not embed the appropriate font in to the document or for commenting,
+adobe-reader-fontpacks: collaborating or filling out forms.
+adobe-reader-fontpacks:
+